################################################################################
# guard to make sure that OpenCL is selected as API
################################################################################

CORRECTAPI	:= 0
ifeq ($(API), OPENCL)
CORRECTAPI	:= 1
endif

################################################################################
# paths, directories and folders
################################################################################

GPUINSTALLPATH		:=	/usr/local
CLBLASINSTALLPATH	:=	external/mac-cluster/clblas

CXXINCLUDES			:=	-I$(HOME)/tools/opencl/include
CXXLIBDIR			:=	
CXXLIB				:=	

################################################################################
# compilers and linkers
################################################################################

CXX					:=	icpc
LINKER				:=	icpc

################################################################################
# compiler arguments and flags
################################################################################

CXXFLAGS			:=	

################################################################################
# linker arguments and flags
################################################################################

LINKERFLAGS			:=	

include common.make

